%define	major 1
%define libname %mklibname tirpc %{major}
%define develname %mklibname tirpc -d

Summary:	Transport Independent RPC Library
Name:		libtirpc
Version:	0.2.2
Release:	%mkrel 3
License:	GPL
Group:		System/Libraries
URL:		http://sourceforge.net/projects/libtirpc
Source0:	http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
Patch0:		01-remove-des-crypt.diff
Patch1:		libtirpc-0.2.2-automake-1.13.patch
BuildRequires:	pkgconfig
BuildRequires:	gssglue-devel

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{develname}
Summary:	Development files for the libtirpc library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tirpc-devel = %{version}-%{release}
Obsoletes:	%{mklibname tirpc 1 -d}

%description -n	%{develname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

This package includes header files and libraries necessary for developing
programs which use the tirpc library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
export CFLAGS="%{optflags} -fPIC"
%configure2_5x \
    --enable-gss
%make all

%install
rm -rf %{buildroot}


%makeinstall_std
install -m 755 -d %{buildroot}%{_sysconfdir}
install -m 644 doc/etc_netconfig %{buildroot}%{_sysconfdir}/netconfig

# remove the .la file, it makes libtool reorder args when linking nfs-utils:
# http://lists.gnu.org/archive/html/libtool/2010-03/msg00023.html 
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%config(noreplace) %{_sysconfdir}/netconfig

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/tirpc
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-3.mga3
+ Revision: 358257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.2.2-2.mga3
+ Revision: 340642
- fix for automake 1.13

* Tue Jul 26 2011 guillomovitch <guillomovitch> 0.2.2-1.mga2
+ Revision: 129665
- new version

* Sun Jan 23 2011 ennael <ennael> 0.2.1-3.mga1
+ Revision: 33403
- remove mdkversion
- imported package libtirpc

